nxt.http.callers

## Class SignTransactionCall

- java.lang.Object
- - nxt.http.APICall.Builder<SignTransactionCall>
  - - nxt.http.callers.SignTransactionCall

-     public class SignTransactionCall
      extends APICall.Builder<SignTransactionCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SignTransactionCall` | `create()`
    `SignTransactionCall` | `prunableAttachmentJSON(java.lang.String prunableAttachmentJSON)`
    `SignTransactionCall` | `requireBlock(java.lang.String requireBlock)`
    `SignTransactionCall` | `requireLastBlock(java.lang.String requireLastBlock)`
    `SignTransactionCall` | `secretPhrase(java.lang.String secretPhrase)`
    `SignTransactionCall` | `unsignedTransactionBytes(byte[] unsignedTransactionBytes)`
    `SignTransactionCall` | `unsignedTransactionBytes(java.lang.String unsignedTransactionBytes)`
    `SignTransactionCall` | `unsignedTransactionJSON(java.lang.String unsignedTransactionJSON)`
    `SignTransactionCall` | `validate(boolean validate)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, getBlock, getBlocks, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, remote, setParamValidation, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static SignTransactionCall create()

    - #### requireLastBlock

          public SignTransactionCall requireLastBlock(java.lang.String requireLastBlock)

    - #### unsignedTransactionBytes

          public SignTransactionCall unsignedTransactionBytes(java.lang.String unsignedTransactionBytes)

    - #### unsignedTransactionBytes

          public SignTransactionCall unsignedTransactionBytes(byte[] unsignedTransactionBytes)

    - #### unsignedTransactionJSON

          public SignTransactionCall unsignedTransactionJSON(java.lang.String unsignedTransactionJSON)

    - #### secretPhrase

          public SignTransactionCall secretPhrase(java.lang.String secretPhrase)

      Overrides:
        `secretPhrase` in class `APICall.Builder<SignTransactionCall>`

    - #### prunableAttachmentJSON

          public SignTransactionCall prunableAttachmentJSON(java.lang.String prunableAttachmentJSON)

    - #### requireBlock

          public SignTransactionCall requireBlock(java.lang.String requireBlock)

    - #### validate

          public SignTransactionCall validate(boolean validate)